Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class ModeShapeSubsystemXMLReader_1_0

    java.lang.Object
      org.modeshape.jboss.subsystem.ModeShapeSubsystemXMLReader_1_0

All Implemented Interfaces:
  XMLStreamConstants, org.jboss.staxmapper.XMLElementReader<List<org.jboss.dmr.ModelNode>>

    public class ModeShapeSubsystemXMLReader_1_0

extends Object
implements XMLStreamConstants, org.jboss.staxmapper.XMLElementReader<List<org.jboss.dmr.ModelNode>>

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`ModeShapeSubsystemXMLReader_1_0()`

Method Summary
`void` | `readElement(org.jboss.staxmapper.XMLExtendedStreamReader reader, List<org.jboss.dmr.ModelNode> list)`
`protected void` | `requireNoElements(org.jboss.staxmapper.XMLExtendedStreamReader reader)` Checks that the current element has no attributes, throwing an `XMLStreamException` if one is found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeShapeSubsystemXMLReader_1_0

    public ModeShapeSubsystemXMLReader_1_0()

Method Detail

### readElement

    public void readElement(org.jboss.staxmapper.XMLExtendedStreamReader reader,
                            List<org.jboss.dmr.ModelNode> list)
                     throws XMLStreamException

  Specified by:
    `readElement` in interface `org.jboss.staxmapper.XMLElementReader<List<org.jboss.dmr.ModelNode>>`
  Throws:
    `XMLStreamException`

### requireNoElements

    protected void requireNoElements(org.jboss.staxmapper.XMLExtendedStreamReader reader)
                              throws XMLStreamException

  Checks that the current element has no attributes, throwing an `XMLStreamException` if one is found.

  Parameters:
    `reader` - the reader
  Throws:
    `XMLStreamException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.